/*******************************************************************************
* File Name: SensorMinus.h  
* Version 2.20
*
* Description:
*  This file contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/

#if !defined(CY_PINS_SensorMinus_H) /* Pins SensorMinus_H */
#define CY_PINS_SensorMinus_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "SensorMinus_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 SensorMinus__PORT == 15 && ((SensorMinus__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    SensorMinus_Write(uint8 value);
void    SensorMinus_SetDriveMode(uint8 mode);
uint8   SensorMinus_ReadDataReg(void);
uint8   SensorMinus_Read(void);
void    SensorMinus_SetInterruptMode(uint16 position, uint16 mode);
uint8   SensorMinus_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the SensorMinus_SetDriveMode() function.
     *  @{
     */
        #define SensorMinus_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define SensorMinus_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define SensorMinus_DM_RES_UP          PIN_DM_RES_UP
        #define SensorMinus_DM_RES_DWN         PIN_DM_RES_DWN
        #define SensorMinus_DM_OD_LO           PIN_DM_OD_LO
        #define SensorMinus_DM_OD_HI           PIN_DM_OD_HI
        #define SensorMinus_DM_STRONG          PIN_DM_STRONG
        #define SensorMinus_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define SensorMinus_MASK               SensorMinus__MASK
#define SensorMinus_SHIFT              SensorMinus__SHIFT
#define SensorMinus_WIDTH              1u

/* Interrupt constants */
#if defined(SensorMinus__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in SensorMinus_SetInterruptMode() function.
     *  @{
     */
        #define SensorMinus_INTR_NONE      (uint16)(0x0000u)
        #define SensorMinus_INTR_RISING    (uint16)(0x0001u)
        #define SensorMinus_INTR_FALLING   (uint16)(0x0002u)
        #define SensorMinus_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define SensorMinus_INTR_MASK      (0x01u) 
#endif /* (SensorMinus__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define SensorMinus_PS                     (* (reg8 *) SensorMinus__PS)
/* Data Register */
#define SensorMinus_DR                     (* (reg8 *) SensorMinus__DR)
/* Port Number */
#define SensorMinus_PRT_NUM                (* (reg8 *) SensorMinus__PRT) 
/* Connect to Analog Globals */                                                  
#define SensorMinus_AG                     (* (reg8 *) SensorMinus__AG)                       
/* Analog MUX bux enable */
#define SensorMinus_AMUX                   (* (reg8 *) SensorMinus__AMUX) 
/* Bidirectional Enable */                                                        
#define SensorMinus_BIE                    (* (reg8 *) SensorMinus__BIE)
/* Bit-mask for Aliased Register Access */
#define SensorMinus_BIT_MASK               (* (reg8 *) SensorMinus__BIT_MASK)
/* Bypass Enable */
#define SensorMinus_BYP                    (* (reg8 *) SensorMinus__BYP)
/* Port wide control signals */                                                   
#define SensorMinus_CTL                    (* (reg8 *) SensorMinus__CTL)
/* Drive Modes */
#define SensorMinus_DM0                    (* (reg8 *) SensorMinus__DM0) 
#define SensorMinus_DM1                    (* (reg8 *) SensorMinus__DM1)
#define SensorMinus_DM2                    (* (reg8 *) SensorMinus__DM2) 
/* Input Buffer Disable Override */
#define SensorMinus_INP_DIS                (* (reg8 *) SensorMinus__INP_DIS)
/* LCD Common or Segment Drive */
#define SensorMinus_LCD_COM_SEG            (* (reg8 *) SensorMinus__LCD_COM_SEG)
/* Enable Segment LCD */
#define SensorMinus_LCD_EN                 (* (reg8 *) SensorMinus__LCD_EN)
/* Slew Rate Control */
#define SensorMinus_SLW                    (* (reg8 *) SensorMinus__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define SensorMinus_PRTDSI__CAPS_SEL       (* (reg8 *) SensorMinus__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define SensorMinus_PRTDSI__DBL_SYNC_IN    (* (reg8 *) SensorMinus__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define SensorMinus_PRTDSI__OE_SEL0        (* (reg8 *) SensorMinus__PRTDSI__OE_SEL0) 
#define SensorMinus_PRTDSI__OE_SEL1        (* (reg8 *) SensorMinus__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define SensorMinus_PRTDSI__OUT_SEL0       (* (reg8 *) SensorMinus__PRTDSI__OUT_SEL0) 
#define SensorMinus_PRTDSI__OUT_SEL1       (* (reg8 *) SensorMinus__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define SensorMinus_PRTDSI__SYNC_OUT       (* (reg8 *) SensorMinus__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(SensorMinus__SIO_CFG)
    #define SensorMinus_SIO_HYST_EN        (* (reg8 *) SensorMinus__SIO_HYST_EN)
    #define SensorMinus_SIO_REG_HIFREQ     (* (reg8 *) SensorMinus__SIO_REG_HIFREQ)
    #define SensorMinus_SIO_CFG            (* (reg8 *) SensorMinus__SIO_CFG)
    #define SensorMinus_SIO_DIFF           (* (reg8 *) SensorMinus__SIO_DIFF)
#endif /* (SensorMinus__SIO_CFG) */

/* Interrupt Registers */
#if defined(SensorMinus__INTSTAT)
    #define SensorMinus_INTSTAT            (* (reg8 *) SensorMinus__INTSTAT)
    #define SensorMinus_SNAP               (* (reg8 *) SensorMinus__SNAP)
    
	#define SensorMinus_0_INTTYPE_REG 		(* (reg8 *) SensorMinus__0__INTTYPE)
#endif /* (SensorMinus__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_SensorMinus_H */


/* [] END OF FILE */
