/*******************************************************************************
* File Name: ISR_ADC_Sample.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_ISR_ADC_Sample_H)
#define CY_ISR_ISR_ADC_Sample_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void ISR_ADC_Sample_Start(void);
void ISR_ADC_Sample_StartEx(cyisraddress address);
void ISR_ADC_Sample_Stop(void);

CY_ISR_PROTO(ISR_ADC_Sample_Interrupt);

void ISR_ADC_Sample_SetVector(cyisraddress address);
cyisraddress ISR_ADC_Sample_GetVector(void);

void ISR_ADC_Sample_SetPriority(uint8 priority);
uint8 ISR_ADC_Sample_GetPriority(void);

void ISR_ADC_Sample_Enable(void);
uint8 ISR_ADC_Sample_GetState(void);
void ISR_ADC_Sample_Disable(void);

void ISR_ADC_Sample_SetPending(void);
void ISR_ADC_Sample_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the ISR_ADC_Sample ISR. */
#define ISR_ADC_Sample_INTC_VECTOR            ((reg32 *) ISR_ADC_Sample__INTC_VECT)

/* Address of the ISR_ADC_Sample ISR priority. */
#define ISR_ADC_Sample_INTC_PRIOR             ((reg8 *) ISR_ADC_Sample__INTC_PRIOR_REG)

/* Priority of the ISR_ADC_Sample interrupt. */
#define ISR_ADC_Sample_INTC_PRIOR_NUMBER      ISR_ADC_Sample__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable ISR_ADC_Sample interrupt. */
#define ISR_ADC_Sample_INTC_SET_EN            ((reg32 *) ISR_ADC_Sample__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the ISR_ADC_Sample interrupt. */
#define ISR_ADC_Sample_INTC_CLR_EN            ((reg32 *) ISR_ADC_Sample__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the ISR_ADC_Sample interrupt state to pending. */
#define ISR_ADC_Sample_INTC_SET_PD            ((reg32 *) ISR_ADC_Sample__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the ISR_ADC_Sample interrupt. */
#define ISR_ADC_Sample_INTC_CLR_PD            ((reg32 *) ISR_ADC_Sample__INTC_CLR_PD_REG)


#endif /* CY_ISR_ISR_ADC_Sample_H */


/* [] END OF FILE */
